Summary: The NSS LDAP modules
Name: nss_ldap
Version: 253
Release: 1tr
License: LGPL
URL: http://www.padl.com/
Source0: http://www.padl.com/download/%{name}-%{version}.tar.gz
Group: Trustix Official
BuildRoot: /var/tmp/%{name}-root
Requires: ldapclients-common

%description
This package includes a LDAP access client: nss_ldap.
Nss_ldap is a set of C library extensions which allows X.500 and LDAP
directory servers to be used as a primary source of aliases, ethers,
groups, hosts, networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS).


Install nss_ldap if you need LDAP access clients.


%prep
%setup -q

%build
./configure \
--enable-rfc2307bis \
--mandir=%{_mandir}

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib,usr/lib}
make DESTDIR=$RPM_BUILD_ROOT install 

chmod 755 $RPM_BUILD_ROOT/lib/*.so*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%attr(0755,root,root) /lib/*.so*
%attr(0755,root,root) /usr/lib/*.so*
%attr(0644,root,root) /etc/nsswitch.ldap
%exclude /etc/ldap.conf
%{_mandir}/*
%doc ANNOUNCE README ChangeLog AUTHORS NEWS COPYING
%doc nsswitch.ldap

%changelog
* Mon Oct 23 2006 Nived Gopalan <nived at trustix dot org> 253-1tr
- New Upstream.

* Mon Jun 12 2006 Bipin S <bipin at trustix dot org> 250-2tr
- Removed nss_ldap-CAN-2005-2069.patch, since already applied.
- nsswitch permission changed to 644. 
- Fixed Bug #1782.

* Fri Jun 09 2006 Bipin S <bipin at trustix dot org> 250-1tr
- New upstream.

* Thu Jul 14 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 238-7tr
- Security Fix: Plain text authentication leak.
- nss_ldap when used with OpenLDAP and connecting to a slave using TLS, 
  does not use TLS for the subsequent connection if the client is referred 
  to a master, which may cause a password to be sent in cleartext and allows 
  remote attackers to sniff the password.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CAN-2005-2069 to this issue.

* Tue Apr 12 2005 Raghu <raghu at comodo dot com> 238-5tr
- Rebuilt for openldap-2.2.24

* Mon Apr 11 2005 Raghu <raghu at comodo dot com> 238-4tr
- Rebuilt for openldap-2.2.9

* Thu Apr 07 2005 Bipin S  <bipin at comodo dot com> 238-3tr
- Added %{_mandir} in %configure

* Wed Apr 06 2005 Bipin S <bipin at comodo dot com> 238-1tr
- New Upstream 

* Thu Mar 17 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 234-1tr
- New upstream

* Fri Mar 05 2005 Ajith Thampi <ajith at comodo dot com>234-1tr
- New Upstream

* Wed Feb 02 2005 Ajith Thampi <ajith at comodo dot com> 220-2tr
- Rebuild for db-4.2.52

* Mon Sep 27 2004 Nageswara Sastry <nageswara at comodo dot com> 220-1tr
- Upgraded to version 220-1tr from 212-3tr

* Thu Dec 11 2003 Erlend Midttun <erlendbm at trustix dot com> 212-1tr
- Added --enable-rfc2307bis and --enable-schema-mapping to configure.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 207-3tr
- Big rebuild

* Tue Jun 17 2003 Chr. Toldnes <christht at trustix dot com> 207-2ct
- Now req ldapclients-common for ldap.conf

* Tue Jun 17 2003 Erlend Midttun <erlendbm at trustix dot com> 207-1em
- Initial build.

